Get imports

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/imports

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • importDate string(date-time)
    • uploadDate string(date-time)
    • sourceEndDate string(date-time)
    • schedProgressOverride boolean
    • relationshipLagCalendar string

      Values are Predecessor, Successor, TwentyFourHour, or ProjectDefaultCalendar.

    • schedLagEarlyStartFlag boolean
    • qualityProfileRef object
      Hide qualityProfileRef attributes Show qualityProfileRef attributes object
      • id integer(int64)
      • version integer(int32)
    • id integer(int64)
    • fileName string
    • dataDate string(date-time)
    • fileId string(uuid)
    • originalFileName string
    • activityCount integer(int64)
    • importId string(uuid)
    • skipSubsetValidations boolean
GET /project/{projectId}/scenario/{scenarioId}/imports
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/imports' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "importDate": "2026-05-04T09:42:00Z",
    "uploadDate": "2026-05-04T09:42:00Z",
    "sourceEndDate": "2026-05-04T09:42:00Z",
    "schedProgressOverride": true,
    "relationshipLagCalendar": "Predecessor",
    "schedLagEarlyStartFlag": true,
    "qualityProfileRef": {
      "id": 42,
      "version": 42
    },
    "id": 42,
    "fileName": "string",
    "dataDate": "2026-05-04T09:42:00Z",
    "fileId": "string",
    "originalFileName": "string",
    "activityCount": 42,
    "importId": "string",
    "skipSubsetValidations": true
  }
]